* {
  padding: 0;
  margin: 0;
}

body {
  background-color: #212833;
}

a {
  text-decoration: none;
}
#header {
  overflow: hidden;
  background-color: white;
  height: 70px;
}

#title {
  text-align: center;
  font-size: 27px;
  color: black;
  padding-top: 20px;
  font-weight: bold;
}

#algorithm_type {
  float: right;
  margin-top: -25px;
  margin-right: 50px;
  padding-left: 6px;
  height: 25px;
  width: 200px;
  border-radius: 5px;
  background: #161824;
  color: white;
  outline: none;
}

#indicator-container {
  display: flex;
  background-color: cornflowerblue;
}
.indicator {
  display: flex;
  /* color: white; */
  font-weight: bold;
  margin: 10px 20px;
}
.indicator-block {
  width: 20px;
  height: 20px;
  margin-right: 5px;
}
#start-indicator {
  background-color: rgb(90, 255, 7);
}
#end-indicator {
  background-color: red;
}
#visited-indicator {
  background-color: orange;
}
#wall-indicator {
  background-color: rgb(47, 40, 40);
}
#path-indicator {
  background-color: rgb(128, 0, 167);
}
.button {
  width: 130px;
  height: 40px;
  font-size: 18px;
  color: white;
  border-radius: 5px;
  background: #161824;
  box-shadow: 8px 8px 10px #12131c, -8px -8px 10px #1c1e2c;
  letter-spacing: 1.2px;
  transition: all 0.25s ease-in-out;
  border: none;
  outline: none;
}
.button:hover {
  transform: scale(0.97);
  font-size: 19px;
  background: linear-gradient(to bottom right, #0b0d17, #212333);
}
.button > p {
  margin-top: 8px;
  margin-left: auto;
  margin-right: auto;
}
#buttonsdiv {
  text-align: center;
}
#visualizeButton {
  margin-right: 10px;
}
#clearButton {
  margin-left: 10px;
}

.grid {
  margin: 1em auto;
  border-collapse: collapse;
}
.grid td {
  cursor: pointer;
  width: 28px;
  height: 28px;
  border: 1px solid rgb(114, 161, 236);
  text-align: center;
  background-color: white;
}
.grid td.clicked {
  background-color: rgb(47, 40, 40);
  animation: clicked_animation 1.5s 1;
}

.grid td.startPoint {
  background-color: rgb(90, 255, 7);
}

.grid td.endPoint {
  background-color: red;
}

.grid td.visited {
  background-color: orange;
  animation: visited_animation 2s 1;
}

@keyframes clicked_animation {
  from {
    background-color: rgb(0, 200, 255);
  }
  to {
    /* background-color: yellow; */
  }
}

@keyframes visited_animation {
  from {
    border-radius: 5px;
    background-color: purple;
  }
  to {
    border-radius: 0px;
    background-color: orange;
  }
}

.grid td.path {
  background-color: rgb(128, 0, 167);
  animation: change_color 1.5s 1;
}
@keyframes change_color {
  from {
    background-color: rgb(0, 255, 229);
  }
  to {
    background-color: rgb(128, 0, 167);
  }
}
